%global forgeurl https://github.com/45Drives/cockpit-file-sharing/
Version: 2.4.1
%forgemeta

Name: cockpit-file-sharing
Release: %autorelease
Summary: Cockpit user interface for managing SMB and NFS file sharing.
License: GPLv3+
URL: %{forgeurl}
Source0:  %{forgesource}
BuildArch: noarch

BuildRequires: make

Requires: cockpit-ws
Requires: python3
Recommends: nfs-utils
Recommends: samba


%description
A Cockpit component for managing SMB exports and NFS shares.  This package uses Samba and nfs-utils.


%prep
%forgesetup


%build
# no real build stage, but clean up some bundled stuff
cd file-sharing

# remove bundled fontawesome (not needed as it's in the main cockpit ui)
rm -rf fontawesome
sed -i '/fontawesome/d' file-sharing.html

# Ideally, remove file-sharing-patternfly.css.gz, but that does not seem to
# work (leaves this in a little viewport at the top of the pane. Help
# needed!
#rm file-sharing-patternfly.css.gz

# remove logo, because this package is not being distributed as
# part of that product
rm -rf branding
sed -i '/branding\.svg/d' file-sharing.html
sed -i 's/class="spinner-45d"/class="spinner spinner-lg"/g' *-manager/*.html
sed --i '/^\.spinner-45d {/,/^}$/d' *-manager/*.css


%install
%make_install


%files
%license LICENSE
%doc README.md
%doc CHANGELOG.md
%{_datadir}/cockpit/file-sharing/


%changelog
%autochangelog
